import 'package:flutter/material.dart';

import 'package:logging/logging.dart';


bool hasError(AsyncSnapshot snapshot, String source) {
  if (snapshot.hasError) {
    Logger(source).warning('Error occurred', snapshot.error?.toString(), StackTrace.current);
    return true;
  }
  return false;
}